FLAM® Issue Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000900FL52.2 Subprogram FLUC (CONV)public2017-11-10 09:352018-08-30 14:51
ReporterFalk Reichbott 
Assigned ToFalk Reichbott 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusresolvedResolutionfixed 
PlatformGeneralOSGeneralOS VersionGeneral
Product Version5.1.16 
Target Version5.1.19Fixed in Version5.1.18 
Summary0000900: Add cabebility for customers to write a own pre- and postprocessing exit for columns in table support
DescriptionTo support tokenization and other customer individual column processing a service provider interface (exit) must be add for table pre- and postprocessing.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0001189)
Falk Reichbott (administrator)
2018-08-30 14:51

This service provider interface gives the user the possibility to write there own pre- and post-processing exits for columns as part of the table support in FLAM. It can be used for example to implement own tokenization, masking, encryption, validation algorithm and a lot of other solutions on a data item of a column.

The service provider interface can be invoked as one of the pre- or post-processing steps for a column. See example below:

read.record(... table(... row(...
col(format.fix(...)
    process.exit(library='libfcpe', function='validate_string', parameter='format=IBAN')
    process.exit(library='libfcpe', function='mask_string', parameter='offset=4 length=6')
    process.exit(library='libfcpe', function='add_checksum', parameter='method=crc')
    type.string(...)
))))

The different function can have different parameter strings. All of them depends on the implementation of the column processing exit against this service provider interface specified below.

- Issue History
Date Modified Username Field Change
2017-11-10 09:35 Falk Reichbott New Issue
2017-11-10 09:35 Falk Reichbott Status new => assigned
2017-11-10 09:35 Falk Reichbott Assigned To => Falk Reichbott
2018-08-01 08:42 Falk Reichbott Target Version 5.1.18 => 5.1.19
2018-08-30 14:51 Falk Reichbott Note Added: 0001189
2018-08-30 14:51 Falk Reichbott Status assigned => resolved
2018-08-30 14:51 Falk Reichbott Fixed in Version => 5.1.18
2018-08-30 14:51 Falk Reichbott Resolution open => fixed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker